This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 195424 - Compiling GCC 4.1.1 for AVR target causes segmentation fault for tree-vrp.c
Compiling GCC 4.1.1 for AVR target causes segmentation fault for tree-vrp.c
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: gcc4 (Show other bugs)
rhl9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 01:16 EDT by Thomas Ng
Modified: 2007-04-18 13:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-13 11:02:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Transcript of compile (truncated) (32.61 KB, application/octet-stream)
2006-06-15 01:16 EDT, Thomas Ng
no flags Details

  None (edit)
Description Thomas Ng 2006-06-15 01:16:10 EDT
Description of problem:
Compiling GCC4.1.1 for AVR target with C language installed causes segmentation
fault after processing:

     ../../gcc/tree-vrp.c -o tree-vrp.o
../../gcc/tree-vrp.c: In function `vrp_visit_phi_node':
../../gcc/tree-vrp.c:3788: internal error: Segmentation fault


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Download and unpack GCC 4.1.1.
2. ./configure --prefix=/usr/local/avr --target=avr --enable-languages=c
3. make && make install
  
Actual results:
<<truncated>>
     ../../gcc/tree-ssa-sink.c -o tree-ssa-sink.o
gcc -c   -g -O2 -DIN_GCC -DCROSS_COMPILE  -W -Wall -Wwrite-strings -Wstrict-prot
otypes -Wmissing-prototypes -Wmissing-format-attribute    -DHAVE_CONFIG_H -I. -I
. -I../../gcc -I../../gcc/. -I../../gcc/../include -I../../gcc/../libcpp/include
     ../../gcc/tree-vrp.c -o tree-vrp.o
../../gcc/tree-vrp.c: In function `vrp_visit_phi_node':
../../gcc/tree-vrp.c:3788: internal error: Segmentation fault

Expected results:
GCC should have compiled for the AVR target.

Additional info:
Comment 1 Thomas Ng 2006-06-15 01:16:10 EDT
Created attachment 130955 [details]
Transcript of compile (truncated)
Comment 2 Jesse Keating 2006-08-13 11:02:58 EDT
Not really a security issue.

Note You need to log in before you can comment on or make changes to this bug.